# class GxG::Networking::HttpsClient

### Public Class Methods

new() click to toggle source

    # File lib/gxg/net_clients.rb, line 5733
    def initialize()
      @client = ::GxG::Networking::HttpClient.new
      self
    end

### Public Instance Methods

clear_cache() click to toggle source

    # File lib/gxg/net_clients.rb, line 5742
    def clear_cache()
      @client.clear_cache()
    end

cookies() click to toggle source

    # File lib/gxg/net_clients.rb, line 5738
    def cookies()
      @client.cookies()
    end

delete(the_url=nil, options={}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5755
    def delete(the_url=nil, options={})
      @client.post(the_url,options)
    end

get(the_url=nil, options={:follow_redirects => true, :use_ssl => true}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5746
    def get(the_url=nil, options={:follow_redirects => true, :use_ssl => true})
      @client.get(the_url,options)
    end

post(the_url=nil, form_data=nil, options={}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5752
    def post(the_url=nil, form_data=nil, options={})
      @client.post(the_url,form_data,options)
    end

put(the_url=nil, data=nil, options={}) click to toggle source

    # File lib/gxg/net_clients.rb, line 5749
    def put(the_url=nil, data=nil, options={})
      @client.put(the_url,data,options)
    end